## org.eclipse.datatools.sqltools.sqlbuilder.views.insert
Class InsertGridViewer

    java.lang.Object
      org.eclipse.jface.viewers.Viewer
          org.eclipse.jface.viewers.ContentViewer
              org.eclipse.jface.viewers.StructuredViewer
                  org.eclipse.jface.viewers.ColumnViewer
                      org.eclipse.jface.viewers.AbstractTableViewer
                          org.eclipse.jface.viewers.TableViewer
                              org.eclipse.datatools.sqltools.sqlbuilder.views.NavigableTableViewer
                                  org.eclipse.datatools.sqltools.sqlbuilder.views.GridViewer
                                      org.eclipse.datatools.sqltools.sqlbuilder.views.insert.InsertGridViewer

All Implemented Interfaces:
  org.eclipse.jface.action.IMenuListener, org.eclipse.jface.viewers.IInputProvider, org.eclipse.jface.viewers.IInputSelectionProvider, org.eclipse.jface.viewers.IPostSelectionProvider, org.eclipse.jface.viewers.ISelectionProvider

    public class InsertGridViewer

extends GridViewer

Field Summary

Fields inherited from class org.eclipse.datatools.sqltools.sqlbuilder.views.NavigableTableViewer
`copyright`

Constructor Summary
`InsertGridViewer(SQLDomainModel domainModel, org.eclipse.swt.widgets.Composite parent)`

Method Summary
`SQLDomainModel` `getDomainModel()`
`void` `inputChanged(java.lang.Object input, java.lang.Object oldInput)`
`void` `menuAboutToShow(org.eclipse.jface.action.IMenuManager menu)`
`void` `refreshCellEditor(int row)`
`void` `setEnabled(boolean enable)`

Methods inherited from class org.eclipse.datatools.sqltools.sqlbuilder.views.GridViewer
`getColumnComboBoxCellEditor, getTotalRdbColumn, refresh`

Methods inherited from class org.eclipse.datatools.sqltools.sqlbuilder.views.NavigableTableViewer
`getNavigator, setCellEditors`

Methods inherited from class org.eclipse.jface.viewers.TableViewer
`getControl, getTable, refresh, refresh, remove, setSelection`

Methods inherited from class org.eclipse.jface.viewers.AbstractTableViewer
`add, add, clear, getElementAt, getLabelProvider, insert, remove, replace, reveal, setItemCount`

Methods inherited from class org.eclipse.jface.viewers.ColumnViewer
`cancelEditing, editElement, getCell, getCellEditors, getCellModifier, getColumnProperties, getColumnViewerEditor, getLabelProvider, isBusy, isCellEditorActive, refresh, refresh, setCellModifier, setColumnProperties, setColumnViewerEditor, setLabelProvider, update`

Methods inherited from class org.eclipse.jface.viewers.StructuredViewer

`addDoubleClickListener, addDragSupport, addDropSupport, addFilter, addOpenListener, addPostSelectionChangedListener, getComparator, getComparer, getFilters, getSelection, getSorter, refresh, removeDoubleClickListener, removeFilter, removeOpenListener, removePostSelectionChangedListener, resetFilters, setComparator, setComparer, setContentProvider, setFilters, setInput, setSorter, setUseHashlookup, testFindItem, testFindItems, update`

Methods inherited from class org.eclipse.jface.viewers.ContentViewer
`getContentProvider, getInput`

Methods inherited from class org.eclipse.jface.viewers.Viewer
`addHelpListener, addSelectionChangedListener, getData, removeHelpListener, removeSelectionChangedListener, scrollDown, scrollUp, setData, setSelection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.ISelectionProvider
`addSelectionChangedListener, removeSelectionChangedListener, setSelection`

Constructor Detail

### InsertGridViewer

    public InsertGridViewer(SQLDomainModel domainModel,
                            org.eclipse.swt.widgets.Composite parent)

Method Detail

### getDomainModel

    public SQLDomainModel getDomainModel()

### menuAboutToShow

    public void menuAboutToShow(org.eclipse.jface.action.IMenuManager menu)

### inputChanged

    public void inputChanged(java.lang.Object input,
                             java.lang.Object oldInput)

### refreshCellEditor

    public void refreshCellEditor(int row)

### setEnabled

    public void setEnabled(boolean enable)